[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.SetAutoSize

Sets the value for the AutoSize property.

## Declaration

Source position: groupededit.pp line 245

`protected procedure TCustomAbstractGroupedEdit.SetAutoSize(`
`AValue: Boolean`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

SetAutoSize is overridden in TCustomAbstractGroupedEdit, and calls the inherited method on entry. It ensures that the new value for the property is applied to AutoSize property in BaseEditor.

## See also

TCustomAbstractGroupedEdit.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.
TCustomAbstractGroupedEdit.BaseEditor |  | Represents the control used as the editor for the value in the grouped edit control.